<div>
    <div style="font-weight: bold; height: 10px; line-height: 10px;">Checklist</div>
    <?php foreach ($savedConditions as $category => $conditions) { ?>
        <br/>
        <h5 style="color: #a5a5a5; font-size: 11px" class="muted"><?= $category ?></h5>
        <table style="table-layout: fixed">
            <thead>
            <tr>
                <th>
                    <div class="v-a-m">Name</div>
                </th>
                <th>
                    <div class="v-a-m">Severity level</div>
                </th>
                <th>
                    <div class="v-a-m">Compliance score</div>
                </th>
                <th>
                    <div class="v-a-m">Passing / All</div>
                </th>
                <th>
                    <div class="v-a-m">View</div>
                </th>
            </tr>
            </thead>
            <tbody>
            <?php foreach ($conditions as $condition) { ?>
                <tr>
                    <td>
                        <div class="v-a-m">
                            <?= htmlspecialchars($condition['name']) ?>
                        </div>
                    </td>
                    <td>
                        <div class="v-a-m"><?= $condition['severity'] ?></div>
                    </td>
                    <td>
                        <div class="v-a-m">
                            <span class="<?= getComplianceColor($condition['score']) ?>">
                                &nbsp;<?= $condition['score'] ?>%&nbsp;
                            </span>
                        </div>
                    </td>
                    <td>
                        <div class="v-a-m"><?= $condition['pass'] ?> / <?= $condition['total'] ?></div>
                    </td>
                    <td>
                        <div class="v-a-m">
                            <a href="<?= site_url("reports/open_rule_report/passing/{$condition['id']}/$reportId") ?>"
                               target="_blank" style="text-decoration: none">Passing</a> /
                            <a href="<?= site_url("reports/open_rule_report/failing/{$condition['id']}/$reportId") ?>"
                               target="_blank" style="text-decoration: none">Failing</a> /
                            <a href="<?= site_url("reports/open_rule_report/all/{$condition['id']}/$reportId")  ?>"
                               target="_blank" style="text-decoration: none">All</a>
                        </div>
                    </td>
                </tr>
            <?php } ?>
            </tbody>
        </table>
    <?php } ?>
</div>

<style>
    .muted {
        color: #a5a5a5;
    }

    th {
        height: 30px;
        font-weight: bolder;
        text-align: center;
        color: #767676;
    }

    td {
        height: 50px;
        border-top: 1px #e9ebef solid;
        text-align: center;
        color: #222;
    }

    .v-a-m {
        vertical-align: middle;
    }

    .red {
        background-color: #ea2e15;
        color: #fff;
        text-align: center;
    }

    .orange {
        background-color: #f89406;
        color: #fff;
        text-align: center;
    }

    .green {
        background-color: #89a90b;
        color: #fff;
        text-align: center;
    }
</style>
