<?php

//******************************* M O D A L *******************************************************
$this->load->view('/partials/_saveSearchModal');
//******************************* M O D A L *******************************************************
?>
<main>
    <div>
        <div class="pageTitle">
            <h1>
                <span>{{reportLabel || 'Results'}}</span>
            </h1>
        </div>
        <div id="filterTree" ng-init="showFilter=false" ng-class="{'open':showFilter}">
            <div class="accordion-group">
                <div class="accordion-toggle accordion-heading" data-parent="#filterTree" data-toggle="collapse">
            <span ng-click="showFilter=!showFilter" id="filterToggle">
                <i class="icon-chevron-right" ng-show="!showFilter" style="padding: 0px 5px;"></i>
                <i class="icon-chevron-down" ng-show="showFilter" style="padding: 0px 5px;"></i>
                Filters <span ng-show="originalFilters.length" class="help-block inline"
                              style="font-size:14px; font-style:normal">({{originalFilters.length}})</span>
            </span>
                </div>
            </div>

            <div ng-show="showFilter" class="margin-left-small margin-bottom-small">
                <?php $this->load->view('/partials/_environmentFilter'); ?>

            </div>

        </div>

        <div class="margin-top-large" style="margin-top: 115px">
            <h3>Overview</h3>
            <div high-charts
                 id="overall"
                 config="overallConfig"
                 class="inline-block"
                 style="width: 400px; height: 250px">
            </div>
            <div ng-hide="stats.total.fail == 0"
                 high-charts
                 id="severity_failures"
                 config="severityConfig"
                 class="inline-block"
                 style="width: 400px; height: 250px">
            </div>
            <div 
                 high-charts
                 id="category_failures"
                 config="categoriesConfig"
                 class="inline-block"
                 style="width: 500px; height: 250px">
            </div>

        </div>
        <div class="margin-top">
            <h3>Checklist</h3>
            <div ng-if="!isEmptyObj(savedConditions)" class="margin-top"
                 ng-repeat="(category, conditions) in savedConditions">
                <h5 class="muted">{{category}}</h5>
                <div>
                    <table class="table fixed margin-top table-horizontal">
                        <thead>
                        <tr>
                            <th>Name</th>
                            <th>Severity level</th>
                            <th>Compliance score</th>
                            <th>Passing / All</th>
                            <th>View</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr class="rule-row" ng-repeat="(rowid, row) in conditions | orderBy: 'name'">
                            <td>
                                {{row.name}}
                                <div rule-details rule="row" class="tooltiptext unstyled break-all"></div>
                            </td>
                            <td>{{row.severity}}</td>
                            <td>
                                <span class="badge badge-{{complianceHelper.getColorClass(row.score)}}">{{row.score}}%</span>
                                <i ng-show="row.score == undefined" class="icon-spinner icon-spin"></i></td>
                            <td>{{row.pass}} / {{row.total}}<i ng-show="row.pass == undefined"
                                                           class="icon-spinner icon-spin"></i></td>
                            <td>
                                <a href="<?= site_url("reports/open_rule_report/passing/") ?>{{row.id}}/{{ reportid }}"
                                   target="_blank">Passing</a> /
                                <a href="<?= site_url("reports/open_rule_report/failing/") ?>{{row.id}}/{{ reportid }}"
                                   target="_blank">Failing</a> /
                                <a href="<?= site_url("reports/open_rule_report/all/") ?>{{row.id}}/{{ reportid }}"
                                   target="_blank">All</a>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    <div class="clearfix"></div>
    <div class="padding-top padding-bottom pull-right">
        <a class="pull-left btn btn-large" ng-show="reportId && readonly != 1 && can_edit == 1" ng-href="compliance/edit/{{reportId}}"
           ng-click="$event.stopPropagation()">Edit</a>
        <a class="pull-left btn btn-large" ng-hide="reportId" ng-href="compliance/add_report"
           ng-click="$event.stopPropagation()">Edit</a>
        <button ng-hide="reportId" id="save_report" class="btn btn-large btn-primary" style="margin-left: 5px"
                ng-click="modalWindow.open('saveSearchModal', this)">Save
        </button>
        <span style="margin-left: 3px">
            <?php  $this->load->view('/partials/_download_report_btn'); ?>
        </span>
        <input type="hidden" value="{{csvArray}}" id="csvArray">
        <input type="hidden" value="compliance" id="reportCategory">
    </div>
</main>
