<?php

$secretsIniPath = realpath(BASE_PATH . '../../secrets.ini');
file_exists($secretsIniPath) || die("Wrong secrets.ini path");
$secrets = parse_ini_file($secretsIniPath);

return [
    'settings' => [
        'displayErrorDetails' => false, // set to false in production
        'addContentLengthHeader' => false, // Allow the web server to send the content-length header


        // Monolog settings
        'logger' => [
            'name' => 'app',
            'path' => BASE_PATH . '../../logs/ldap_log',
            'level' => \Monolog\Logger::ERROR,
        ],
    ],

    // LDAP Configuration Options
    'accessToken' => $secrets['ldap_api_secret'],


   'ldap' => require_once CONFIG_PATH . '/settings.ldap.php'

];
